# Interface RuleRangeValue

interface RuleRangeValue {
lowerBoundary: number;
operator: string;
propertyName: string;
upperBoundary: number;
}

- Defined in src/rule/Rule.js:57

#####
Index

### Properties

lowerBoundary
operator
propertyName
upperBoundary

## Properties

### lowerBoundary

lowerBoundary: number

The lower boundary of the rule value.

- Defined in src/rule/Rule.js:58

### operator

operator: string

The operator of the rule value.

- Defined in src/rule/Rule.js:61

### propertyName

propertyName: string

The property name of the rule value

- Defined in src/rule/Rule.js:62

### upperBoundary

upperBoundary: number

The upper boundary of the rule value. extends RuleBaseValue

- Defined in src/rule/Rule.js:59

Generated using TypeDoc